org.eclipse.swt.accessibility

## Class AccessibleTextAdapter

- java.lang.Object
- - org.eclipse.swt.accessibility.AccessibleTextAdapter

All Implemented Interfaces:
  AccessibleTextListener

Direct Known Subclasses:
  AccessibleTextExtendedAdapter

    public abstract class AccessibleTextAdapter
    extends java.lang.Object
    implements AccessibleTextListener

This adapter class provides default implementations for the methods described by the `AccessibleTextListener` interface.

Classes that wish to deal with `AccessibleTextEvent`s can extend this class and override only the methods that they are interested in.

Note: Accessibility clients use child identifiers to specify whether they want information about a control or one of its children. Child identifiers are increasing integers beginning with 0. The identifier CHILDID_SELF represents the control itself. When returning a child identifier to a client, you may use CHILDID_NONE to indicate that no child or control has the required information.

Note: This adapter is typically used by implementors of a custom control to provide very detailed information about the control instance to accessibility clients.

Since:
  1.4
See Also:
  `AccessibleTextListener`, `AccessibleTextEvent`, Sample code and further information

### Constructor Summary

Constructors
Constructor and Description
`AccessibleTextAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `getCaretOffset(AccessibleTextEvent e)` Sent when an accessibility client requests the current character offset of the text caret.
`void` `getSelectionRange(AccessibleTextEvent e)` Sent when an accessibility client requests the range of the current text selection.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccessibleTextAdapter

    public AccessibleTextAdapter()

### Method Detail

#### getCaretOffset

    public void getCaretOffset(AccessibleTextEvent e)

Sent when an accessibility client requests the current character offset of the text caret. The default behavior is to do nothing.

Return the caret offset in the `offset` field of the event object.

Specified by:
  `getCaretOffset` in interface `AccessibleTextListener`
Parameters:
  `e` - an event object containing the following fields:
  - childID [IN] - an identifier specifying a child of the control
  - offset [OUT] - the current offset of the text caret

#### getSelectionRange

    public void getSelectionRange(AccessibleTextEvent e)

Sent when an accessibility client requests the range of the current text selection. The default behavior is to do nothing.

Return the selection start offset and non-negative length in the `offset` and `length` fields of the event object.

Specified by:
  `getSelectionRange` in interface `AccessibleTextListener`
Parameters:
  `e` - an event object containing the following fields:
  - childID [IN] - an identifier specifying a child of the control
  - offset [OUT] - the offset of the current text selection
  - length [OUT] - the length of the current text selection

Copyright (c) EclipseSource and others 2002, 2020. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0